/// <reference types="node" />
import fs from 'fs';
export declare function getPathStat(path: string): Promise<fs.Stats>;
/**
 * Détermine si l'accès à un chemin est possible
 *
 * @param {String} path
 * @param {Number} mode
 *
 * @returns {Promise}
 */
export declare function accessPath(path: string, mode?: number): Promise<boolean>;
/**
 * Retourne le chemin réel d'un chemin relative (avec ../)
 *
 * @param {String} path
 *
 * @returns {promise}
 */
export declare function realPath(path: string): Promise<string>;
export declare function fileSize(path: string): Promise<number>;
